# H4501_PresentedNumberScreened Class Reference

`#include <h4501.h>`

List of all members.

## Public Types

enum | Choices { e_presentationAllowedAddress, e_presentationRestricted, e_numberNotAvailableDueToInterworking, e_presentationRestrictedAddress }

## Public Member Functions

| H4501_PresentedNumberScreened (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H4501_NumberScreened & ()
| operator const H4501_NumberScreened & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H4501_PresentedNumberScreened::Choices

Enumerator:

  e_presentationAllowedAddress |
  e_presentationRestricted |
  e_numberNotAvailableDueToInterworking |
  e_presentationRestrictedAddress |

## Constructor & Destructor Documentation

H4501_PresentedNumberScreened::H4501_PresentedNumberScreened | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H4501_PresentedNumberScreened::operator H4501_NumberScreened & | ( |  | ) |

H4501_PresentedNumberScreened::operator const H4501_NumberScreened & | ( |  | ) | const

PBoolean H4501_PresentedNumberScreened::CreateObject | ( |  | ) |

PObject* H4501_PresentedNumberScreened::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h4501.h